Subject: Re: [PATCH v4] transport-helper, connect: use clean_on_exit to reap children on abnormal exit

From: Junio C Hamano <[email-masked]>
Date: Mon, 16 Mar 2026 14:24:57 -0700

Jeff King <[email-masked]> writes:

> Huh. Obviously yes, but how did I manage to bungle this so badly?
>
> I _think_ what happened is that I compiled the topic without -Werror,
> because of all of the -Wdiscarded-qualifier errors that happen on
> 'master' with a recent glibc.
>
> My integration cycle would have caught it, since I have another topic
> with fixes for the discarded-qualifier issue. But I hadn't run one yet. ;)
>
> None of that is important for you, but just wondering if there was
> something more subtle going on, or if I just screwed up something as
> simple as typing 'make'.
>
>> I'll squash an obvious patch in.
>
> Yep, that looks good. Thanks for fixing.

Thanks.  It is probably a good thing that you are using toolchain
ahead of the version I use.  We catch different kind of errors that
way, even though occasionally we see a gotcha like this one.